Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model.framestore
Class FacetCheckingFrameStore

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStore
          edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
              edu.stanford.smi.protege.model.framestore.FacetCheckingFrameStore

All Implemented Interfaces:
  FrameStore

    public class FacetCheckingFrameStore

extends FrameStoreAdapter

Author:
  Ray Fergerson

Nested Class Summary
`static class` | `FacetCheckingFrameStore.AbstractClassException`
`static class` | `FacetCheckingFrameStore.FacetException`

Field Summary

Fields inherited from interface edu.stanford.smi.protege.model.framestore.FrameStore
`UNLIMITED_MATCHES`

Constructor Summary
`FacetCheckingFrameStore()`

Method Summary
`Cls` | `createCls(FrameID id, Collection types, Collection superclasses, boolean loadDefaults)`
`Facet` | `createFacet(FrameID id, Collection types, boolean loadDefaults)`
`SimpleInstance` | `createSimpleInstance(FrameID id, Collection types, boolean loadDefaults)`
`Slot` | `createSlot(FrameID id, Collection types, Collection superslots, boolean loadDefaults)`
`void` | `setDirectOwnSlotValues(Frame frame, Slot slot, Collection values)`
`void` | `setDirectTemplateFacetValues(Cls cls, Slot slot, Facet facet, Collection values)`
`void` | `setDirectTemplateSlotValues(Cls cls, Slot slot, Collection values)`

Methods inherited from class edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
`addDirectSuperclass, addDirectSuperslot, addDirectTemplateSlot, addDirectType, beginTransaction, beginTransaction, commitTransaction, deleteCls, deleteFacet, deleteSimpleInstance, deleteSlot, executeQuery, getClsCount, getClses, getClsesWithAnyDirectTemplateSlotValue, getClsesWithDirectTemplateFacetValue, getClsesWithDirectTemplateSlotValue, getClsesWithMatchingBrowserText, getClsesWithMatchingDirectTemplateFacetValue, getClsesWithMatchingDirectTemplateSlotValue, getDirectDomain, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValues, getDirectOwnSlotValuesClosure, getDirectOwnSlotValuesCount, getDirectSubclasses, getDirectSubslots, getDirectSuperclasses, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectTypes, getDomain, getEvents, getFacetCount, getFacets, getFrame, getFrame, getFrameCount, getFrameName, getFrames, getFramesWithAnyDirectOwnSlotValue, getFramesWithDirectOwnSlotValue, getFramesWithMatchingDirectOwnSlotValue, getInstances, getMatchingReferences, getOverriddenTemplateFacets, getOverriddenTemplateSlots, getOwnFacets, getOwnFacetValues, getOwnSlots, getOwnSlotValues, getReferences, getSimpleInstanceCount, getSlotCount, getSlots, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValues, getTemplateSlots, getTemplateSlotValues, getTransactionStatusMonitor, getTypes, moveDirectOwnSlotValue, moveDirectSubclass, moveDirectSubslot, moveDirectTemplateSlot, moveDirectType, reinitialize, removeDirectSuperclass, removeDirectSuperslot, removeDirectTemplateFacetOverrides, removeDirectTemplateSlot, removeDirectType, replaceFrame, rollbackTransaction`

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStore
`close, getDelegate, getName, onSetDelegate, setDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FacetCheckingFrameStore

    public FacetCheckingFrameStore()

Method Detail

### createCls

    public Cls createCls(FrameID id,
                         Collection types,
                         Collection superclasses,
                         boolean loadDefaults)

  Specified by:
    `createCls` in interface `FrameStore`
  Overrides:
    `createCls` in class `FrameStoreAdapter`

### createSlot

    public Slot createSlot(FrameID id,
                           Collection types,
                           Collection superslots,
                           boolean loadDefaults)

  Specified by:
    `createSlot` in interface `FrameStore`
  Overrides:
    `createSlot` in class `FrameStoreAdapter`

### createFacet

    public Facet createFacet(FrameID id,
                             Collection types,
                             boolean loadDefaults)

  Specified by:
    `createFacet` in interface `FrameStore`
  Overrides:
    `createFacet` in class `FrameStoreAdapter`

### createSimpleInstance

    public SimpleInstance createSimpleInstance(FrameID id,
                                               Collection types,
                                               boolean loadDefaults)

  Specified by:
    `createSimpleInstance` in interface `FrameStore`
  Overrides:
    `createSimpleInstance` in class `FrameStoreAdapter`

### setDirectOwnSlotValues

    public void setDirectOwnSlotValues(Frame frame,
                                       Slot slot,
                                       Collection values)

  Specified by:
    `setDirectOwnSlotValues` in interface `FrameStore`
  Overrides:
    `setDirectOwnSlotValues` in class `FrameStoreAdapter`

### setDirectTemplateSlotValues

    public void setDirectTemplateSlotValues(Cls cls,
                                            Slot slot,
                                            Collection values)

  Specified by:
    `setDirectTemplateSlotValues` in interface `FrameStore`
  Overrides:
    `setDirectTemplateSlotValues` in class `FrameStoreAdapter`

### setDirectTemplateFacetValues

    public void setDirectTemplateFacetValues(Cls cls,
                                             Slot slot,
                                             Facet facet,
                                             Collection values)

  Specified by:
    `setDirectTemplateFacetValues` in interface `FrameStore`
  Overrides:
    `setDirectTemplateFacetValues` in class `FrameStoreAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.